Subject: Re: [rtcweb] Fw: New Version Notification for draft-li-rtcweb-jsep-xmpp-mapping-00.txt

From: Likepeng <[email-masked]>
Date: Fri, 3 Aug 2012 08:41:05 +0000

>I didn't see a section where it explains how to map the Jingle messages to the JSEP API, or the payloads of these messages to SDP (as required by the API).

I revise the draft according to the suggestion:
http://www.ietf.org/internet-drafts/draft-li-rtcweb-jsep-xmpp-mapping-01.txt

I would appreciate your further comments and feedbacks.

Thanks,

Kind Regards
Kepeng

发件人: Justin Uberti [mailto:[email-masked]]
发送时间: 2012年7月31日 1:22
收件人: Likepeng
抄送: [email-masked]
主题: Re: [rtcweb] Fw: New Version Notification for draft-li-rtcweb-jsep-xmpp-mapping-00.txt

Likepeng,

This draft shows how JS clients could use the Jingle protocol to establish a session, but I didn't see a section where it explains how to map the Jingle messages to the JSEP API, or the payloads of these messages to SDP (as required by the API).

I think this could be easily added - for example, a received session-initiate will map to a setRemoteDescription - but in order for a developer to implement an Jingle client in JS, these mappings need to be clearly defined.

On Mon, Jul 30, 2012 at 2:20 AM, Likepeng <[email-masked]<mailto:[email-masked]>> wrote:
Welcome your comments to this draft.

Have a nice meeting in Vancouver!

Kind Regards
Kepeng
-----邮件原件-----
发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>]
发送时间: 2012年7月30日 15:27
收件人: Likepeng
抄送: Likepeng
主题: New Version Notification for draft-li-rtcweb-jsep-xmpp-mapping-00.txt

A new version of I-D, draft-li-rtcweb-jsep-xmpp-mapping-00.txt
has been successfully submitted by Kepeng and posted to the
IETF repository.

Filename:        draft-li-rtcweb-jsep-xmpp-mapping
Revision:        00
Title:           RTCWeb JSEP XMPP/Jingle Mapping
Creation date:   2012-07-30
WG ID:           Individual Submission
Number of pages: 10
URL:             http://www.ietf.org/internet-drafts/draft-li-rtcweb-jsep-xmpp-mapping-00.txt
Status:          http://datatracker.ietf.org/doc/draft-li-rtcweb-jsep-xmpp-mapping
Htmlized:        http://tools.ietf.org/html/draft-li-rtcweb-jsep-xmpp-mapping-00

Abstract:
   This document proposes mapping message representations between RTCWeb
   Javascript Session Establishment Protocol(JSEP) scheme and XMPP/
   Jingle [XEP-0166] messaging scheme.  Such a signaling mapping is
   intended to enable Javascript to use XMPP/Jingle to establish a
   session between two RTCWeb enabled browsers.

The IETF Secretariat
_______________________________________________
rtcweb mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/rtcweb